Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class StyledEditorKit.ForegroundAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--javax.swing.text.TextAction
                  |
                  +--javax.swing.text.StyledEditorKit.StyledTextAction
                        |
                        +--javax.swing.text.StyledEditorKit.ForegroundAction

public static class StyledEditorKit.ForegroundAction
extends StyledEditorKit.StyledTextAction

An action to set foreground color. This sets the `StyleConstants.Foreground` attribute for the currently selected range of the target JEditorPane. This is done by calling `StyledDocument.setCharacterAttributes` on the styled document associated with the target JEditorPane.

If the target text component is specified as the source of the ActionEvent and there is a command string, the command string will be interpreted as the foreground color. It will be interpreted by called `Color.decode`, and should therefore be legal input for that method.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Constructor Summary
`StyledEditorKit.ForegroundAction(java.lang.String nm, java.awt.Color fg)` Creates a new ForegroundAction.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Sets the foreground color.

Methods inherited from class javax.swing.text.StyledEditorKit.StyledTextAction
`getEditor, getStyledDocument, getStyledEditorKit, setCharacterAttributes, setParagraphAttributes`

Methods inherited from class javax.swing.text.TextAction
`augmentList, getFocusedComponent, getTextComponent`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyledEditorKit.ForegroundAction

    public StyledEditorKit.ForegroundAction(java.lang.String nm,
                                            java.awt.Color fg)

  Creates a new ForegroundAction.
  Parameters:
    `nm` - the action name
    `fg` - the foreground color

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Sets the foreground color.
  Parameters:
    `e` - the action event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.